package com.huimv.authority.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.authority.entity.Group;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.authority.utils.Result;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author astupidcoder
 * @since 2021-09-09
 */
public interface IGroupService extends IService<Group> {

    Result updateGroup(Integer groupId, String groupName, String remark);

    Result removeGroup(Integer groupId);

    IPage<Group> listGroup(int pageNum, int pageSize, String searchStr);

    Result addGroup(String groupName, String remark);
}
