package com.huimv.authority.controller;

import com.huimv.authority.entity.Menu;
import com.huimv.authority.service.IMenuService;
import com.huimv.authority.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@CrossOrigin
@RestController
@RequestMapping("/menu")
public class MenuController {
    @Autowired
    private IMenuService menuService;

    @RequestMapping("/add")
    public Result addMenu(Menu menu){
        return menuService.addMenu(menu);
    }


    @RequestMapping("/edit")
    public Result editMenu( Menu menu){
        return menuService.editMenu(menu);
    }


    @RequestMapping("/remove")
    public Result removeMenu(@RequestParam(name = "menuId") Integer menuId){
        return menuService.removeMenu(menuId);
    }

   /* @RequestMapping("/list")
    public List<Map> listMenu() {
        return menuService.listMenu();
    }*/

    @PostMapping("/list")
    public Result optimizeList() {
        return menuService.optimizeList();
    }
}
